Jeff Ward
Mobile, Web, Linux, and other cool Tech
find me at
Simbulus Consulting Stack Overflow Hacker Rank GitHub LinkedIn Twitter Google Plus

Installing AIR Apps On Linux

Jan 15, 2014 #Actionscript#Linux#AIR#Ubuntu

Adobe AIR isn't officially supported under Linux anymore, but it's easy enough to install AIR apps using Wine and a couple handy scripts. This post will walk you through installing Wine, AIR, and a couple test apps, SWFWire Inspector and Dragon Age Legends (simply because their .air packages are easily accessible.) ... continue reading


Setup AIR 3.9 SDK On Ubuntu 12.04

Jan 8, 2014 #Actionscript#Mobile#Linux#AIR#Ubuntu

This post includes all the setup necessary to get started using the AIR SDK under Ubuntu linux. While the instructions are fairly generic and should be applicable in many circumstances, I used Adobe AIR SDK 3.9 and a fresh install of Ubuntu 12.04.3 64-bit. I like LTS releases and developers will usually be working in 64-bit environments with lots... continue reading


FCSH for ASC 2.0 Compiler

Oct 7, 2013 #Actionscript#Mobile#Linux#Windows#Mac#AIR#Compiler

If you remember how the fcsh / fcshd compiler wrappers sped up the Flex SDK compiler (or if you've noticed that the Flash Builder compiler is much faster than, say, Flash Develop), read on. Your AS3 workflow may get a performance boost from my new tools, ascsh and ascshd.... continue reading


AIR 3.9 Workers Beta

Sep 3, 2013 #AIR#Actionscript#Flash#Workers

Bill Howard announced that Flash Workers would be available for Android in an upcoming Beta, and here it is! The Adobe AIR 3.9 SDK introduces Workers on Android. Since I have my AS3-Workers-Compat library and testcase just sitting around, I thought I'd give it a spin on Android using AIR 3.9.... continue reading


Adobe AIR Mobile Development On Linux

Aug 15, 2013 #Actionscript#Mobile#Linux#AIR

While Linux isn't an officilaly supported development platform for the Adobe AIR SDK, mobile development is possible from Linux targetting both Android and iOS. I use Ubuntu 12.04, Wine 1.4 (though 1.5 should work fine), AIR SDK 3.6 (though again, later versions should work fine), and Flex SDK 4.6. Here's a quick list of the commands I use... continue reading